<?php

namespace Drupal\vite_react_generator\Drush\Generators\Validator;

/**
 * Validates component machine name.
 */
final class ComponentName {

  /**
   * Validates component machine name.
   *
   * @param mixed $value
   *   The value to validate.
   *
   * @return string
   *   The validated value.
   *
   * @throws \UnexpectedValueException
   */
  public function __invoke(mixed $value): string {
    if (!\is_string($value) || !\preg_match('/^[a-z][a-z0-9_\-]*[a-z0-9]$/', $value)) {
      throw new \UnexpectedValueException('The value is not correct component machine name.');
    }
    return $value;
  }

}
