<?php

namespace Drupal\vite_react_generator\Drush\Generators\Validator;

use DrupalCodeGenerator\Validator\Chained;
use DrupalCodeGenerator\Validator\Required;

/**
 * Validates required component machine name.
 */
final class RequiredComponentName {

  /**
   * Validates required component machine name.
   *
   * @param mixed $value
   *   The value to validate.
   *
   * @return string
   *   The validated value.
   *
   * @throws \UnexpectedValueException
   */
  public function __invoke(mixed $value): string {
    return (new Chained(new Required(), new ComponentName()))($value);
  }

}
